org.springframework.orm.jpa.persistenceunit

## Interface SmartPersistenceUnitInfo

All Superinterfaces:
  PersistenceUnitInfo

All Known Implementing Classes:
  MutablePersistenceUnitInfo

    public interface SmartPersistenceUnitInfo
    extends PersistenceUnitInfo

Extension of the standard JPA PersistenceUnitInfo interface, for advanced collaboration between Spring's `LocalContainerEntityManagerFactoryBean` and `PersistenceUnitManager` implementations.

Since:
  3.0.1
Author:
  Juergen Hoeller
See Also:
  `PersistenceUnitManager`, `LocalContainerEntityManagerFactoryBean`

### Method Summary

Methods
`void` `setPersistenceProviderPackageName(String persistenceProviderPackageName)` Set the persistence provider's own package name, for exclusion from class transformation.

### Methods inherited from interface javax.persistence.spi.PersistenceUnitInfo

`addTransformer, excludeUnlistedClasses, getClassLoader, getJarFileUrls, getJtaDataSource, getManagedClassNames, getMappingFileNames, getNewTempClassLoader, getNonJtaDataSource, getPersistenceProviderClassName, getPersistenceUnitName, getPersistenceUnitRootUrl, getProperties, getTransactionType`

### Method Detail

#### setPersistenceProviderPackageName

    void setPersistenceProviderPackageName(String persistenceProviderPackageName)

Set the persistence provider's own package name, for exclusion from class transformation.

See Also:
  `PersistenceUnitInfo.addTransformer(javax.persistence.spi.ClassTransformer)`, `PersistenceUnitInfo.getNewTempClassLoader()`